"""
constants.py

该模块定义了应用程序中使用的各种常量。这些常量包括API URL和其他配置参数。
"""

# 更新临时文件夹名
update_tmp_folder = "download_tmp"
# 更新脚本名
upgrade_script_name = "upgrade.bat"
# 下载新版本压缩包名
file_name = "launcher.7z"

# 获取最新版本发布信息
get_new_version_url = (
    "https://git.zhaozuohong.vip/api/v1/repos/mower-ng/launcher/releases/latest"
)

# 下载地址
download_git_url = "https://list.zhaozuohong.vip/mower-ng/git.7z"
download_python_url = "https://list.zhaozuohong.vip/mower-ng/python.7z"

# mower-ng git链接
mower_ng_git_url = "https://git.zhaozuohong.vip/mower-ng/mower-ng.git"

# pip镜像地址
mirror_list = {
    "pypi": "https://pypi.org/simple",
    "aliyun": "https://mirrors.aliyun.com/pypi/simple/",
    "tuna": "https://mirrors.tuna.tsinghua.edu.cn/pypi/web/simple",
    "sjtu": "https://mirror.sjtu.edu.cn/pypi/web/simple",
}

# 实例文件夹名
instances_folder_name = "instances"

# cli命令
cli_command = {
    "status": "获取mower-ng实例状态",
    "launch": "启动mower-ng进程",
    "exit": "停止mower-ng进程",
    "kill": "强制退出mower-ng进程",
    "start": "开始运行调度器",
    "stop": "停止运行调度器",
    "webui": "在浏览器中打开网页面板",
    "log": "通过WebSocket获取日志",
}
